{{ define "main" }}
  {{ partial "headline-hash.html" ( partial "post.html" . )  }}

  <!-- https://brianli.com/adding-next-previous-post-links-in-hugo/ -->
  {{ if .Site.Params.Paginate.Enable }}
    <div class="flex flex-row space-x-20 items-center justify-center mt-5">
      <div>
        {{ if .PrevPage }}
          <a href="{{ .PrevPage.Permalink }}">&lt;&lt; <span class="italic">Previous post</span></a>
        {{ end }}
      </div>
      <div>
        {{ if .NextPage }}
          <a href="{{ .NextPage.Permalink }}"><span class="italic">Next post</span> &gt;&gt;</a>
        {{ end }}
      </div>
    </div>
  {{ end  }}
{{ end }}
